Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaqtl
Interface IBioGenomeProperties

    public interface IBioGenomeProperties

This interface defines both the keys and the default values of properties which can be handled by a org.thalia.bio.entity.IBioGenome.

Field Summary
`static java.lang.String` | `CROSS_SIZE` The cross size key.
`static java.lang.String` | `CROSS_TYPE` The cross type key.
`static java.lang.String` | `MAPPING_CROSS` The key for mapping cross.
`static java.lang.String` | `MAPPING_EXPANSION` The key for mapping expansion status.
`static java.lang.String` | `MAPPING_FUNCTION` The key for mapping function.
`static java.lang.String` | `MAPPING_FUNCTION_HALDANE` The code for Haldane mapping function.
`static java.lang.String` | `MAPPING_FUNCTION_KOSAMBI` The code for Kosambi mapping function.
`static java.lang.String` | `MAPPING_UNIT` The mapping unit key.
`static java.lang.String` | `MAPPING_UNIT_CM` The code for centi-Morgan unit.
`static java.lang.String` | `MAPPING_UNIT_M` The code for Morgan unit.

Field Detail

### CROSS_SIZE

    static final java.lang.String CROSS_SIZE

  The cross size key.

  See Also:
    Constant Field Values

### CROSS_TYPE

    static final java.lang.String CROSS_TYPE

  The cross type key.

  See Also:
    Constant Field Values

### MAPPING_UNIT

    static final java.lang.String MAPPING_UNIT

  The mapping unit key.

  See Also:
    Constant Field Values

### MAPPING_UNIT_M

    static final java.lang.String MAPPING_UNIT_M

  The code for Morgan unit.

  See Also:
    Constant Field Values

### MAPPING_UNIT_CM

    static final java.lang.String MAPPING_UNIT_CM

  The code for centi-Morgan unit.

  See Also:
    Constant Field Values

### MAPPING_FUNCTION

    static final java.lang.String MAPPING_FUNCTION

  The key for mapping function.

  See Also:
    Constant Field Values

### MAPPING_FUNCTION_HALDANE

    static final java.lang.String MAPPING_FUNCTION_HALDANE

  The code for Haldane mapping function.

  See Also:
    Constant Field Values

### MAPPING_FUNCTION_KOSAMBI

    static final java.lang.String MAPPING_FUNCTION_KOSAMBI

  The code for Kosambi mapping function.

  See Also:
    Constant Field Values

### MAPPING_EXPANSION

    static final java.lang.String MAPPING_EXPANSION

  The key for mapping expansion status.

  See Also:
    Constant Field Values

### MAPPING_CROSS

    static final java.lang.String MAPPING_CROSS

  The key for mapping cross.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD